Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.model
Class PicGroup.GroupPointIterator

    java.lang.Object
      jpicedt.graphic.model.PicGroup.GroupPointIterator

All Implemented Interfaces:
  PointIndexIterator

Enclosing class:
  PicGroup

public class PicGroup.GroupPointIterator
extends Object
implements PointIndexIterator

An iterator over PicPoint's that can serve as anchors for grid alignment. This implementation iterates over the 4 control points : UL, UR, LL and LR.

Field Summary
`protected int` | `counter`

Constructor Summary
`PicGroup.GroupPointIterator()` create a new PointIterator

Method Summary
`boolean` | `hasNext()`
`int` | `next()`
`void` | `reset()` reset the state of this iterator

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### counter

    protected int counter

Constructor Detail

### PicGroup.GroupPointIterator

    public PicGroup.GroupPointIterator()

  create a new PointIterator

Method Detail

### reset

    public void reset()

  Description copied from interface: `PointIndexIterator`
  reset the state of this iterator

  Specified by:
    `reset` in interface `PointIndexIterator`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `PointIndexIterator`
  Returns:
    true if the iteration has more elements

### next

    public int next()

  Specified by:
    `next` in interface `PointIndexIterator`
  Returns:
    the next PicPoint in the iteration ; this doesn't create a new PicPoint, hence the returned value might change over time.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org